Bug 737296 - Problems activating wireless network in NetworkManager (iwlagn)
Summary: Problems activating wireless network in NetworkManager (iwlagn)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-10 20:21 UTC by Abhijit
Modified: 2012-08-07 16:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 704502
Environment:
Last Closed: 2012-08-07 16:04:18 UTC


Attachments (Terms of Use)

Description Abhijit 2011-09-10 20:21:26 UTC
+++ This bug was initially created as a clone of Bug #704502 +++

Description of problem:
I am unable to  switch on the wireless network on network manager. I have tested both Fedora 15

I am currently using a laptop with Dell Inspiron 14 having wireless driver,iwlagn. I am uncertain whether there is a missing kernel module, or if there is some error in the NetworkManager application.

Version-Release number of selected component (if applicable): Fedora release 15 (Lovelock)

At first, the firmware for the wireless card was missing and I installed it by 'yum install iwl6000g2b-firmware'. By this I was able to get the option to connect to wireless connection. But now I'm unable to turn it on from the network manager.

How reproducible:
Every time.

Steps to Reproduce:
1. Click on NetworkManager
2. Trying to change wireless state from Off to On
  
Actual results:
The NetworkManager does not switch and remain turned off

Expected results:
Activating the wireless network and get a list of available networks

Additional info:
Following are the additional info as requested by 'jklimes@redhat.com' for the cloned bug.
--- Additional comment from jklimes@redhat.com on 2011-05-16 04:18:25 EDT ---


1. your laptop type
Dell Inspiron 14R (N4110)

2. lspci -vv | grep -B 12 iwlagn
Region 0: Memory at d1704000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at efa0 [size=32]
	Kernel modules: i2c-i801

01:00.0 Network controller: Intel Corporation Device 008a (rev 34)
	Subsystem: Intel Corporation Device 5325
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 49
	Region 0: Memory at d1600000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlagn
	Kernel modules: iwlagn

3. rfkill list
0: dell-wifi: Wireless LAN
	Soft blocked: yes
	Hard blocked: yes
1: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: yes

4. rpm -q kernel
kernel-2.6.38.6-26.rc1.fc15.x86_64

5. nm-tool
NetworkManager Tool

State: connected (global)

- Device: wlan0 ----------------------------------------------------------------
  Type:              802.11 WiFi
  Driver:            iwlagn
  State:             unavailable
  Default:           no
  HW Address:        AC:72:89:20:E9:46

  Capabilities:

  Wireless Properties
    WEP Encryption:  yes
    WPA Encryption:  yes
    WPA2 Encryption: yes

  Wireless Access Points 


- Device: p9p1  [System p9p1] --------------------------------------------------
  Type:              Wired
  Driver:            r8169
  State:             connected
  Default:           yes
  HW Address:        14:FE:B5:BB:EB:C7

  Capabilities:
    Carrier Detect:  yes
    Speed:           100 Mb/s

  Wired Properties
    Carrier:         on

  IPv4 Settings:
    Address:         192.168.2.5
    Prefix:          24 (255.255.255.0)
    Gateway:         192.168.2.1

    DNS:             192.168.2.1
    DNS:             172.31.7.197
    DNS:             172.31.7.133



By looking at the output of rfkill, it seems the wireless Lan is blocked.

Please help. Thanks in advance

Comment 1 Jirka Klimes 2011-09-12 08:30:07 UTC
rfkill indicates that WiFi is hard switched off. Probably, you should switch a hardware Wifi switch/button on or press a key combination (I think 'F2' or something).

Try also
# rfkill unblock all

and check again with
$ rfkill list

Comment 2 Stephen Gallagher 2011-10-07 20:23:34 UTC
I am also experiencing this issue with a 6230 (rev 34) device.

rfkill list shows

0: dell-wifi: Wireless LAN
        Soft blocked: yes
        Hard blocked: yes
1: dell-bluetooth: Bluetooth
        Soft blocked: yes
        Hard blocked: yes
(and also a physical adapter, but that's irrelevant)


rfkill unblock all does nothing. Hitting Fn-F2 changes Hard blocked: no, but it doesn't seem to allow NetworkManager to function.

Comment 3 Jirka Klimes 2011-10-10 13:18:04 UTC
When Wi-Fi is blocked either hard or soft, NM can't use it.
Stephen, what is the output of 'rfkill list' *after* you enable wireless with Fn-F2.
And if something is still blocked, does 'rfkill unblock all' helps?

What is your laptop?

Comment 4 Stephen Gallagher 2011-10-10 13:30:34 UTC
I can't explain why, but when I booted this laptop up just now, the wireless is working. Both soft and hard block is "no".

For the record, it's a Dell XPS 15 L502X (Sandy-bridge).

So I guess I'm in good shape.

Comment 5 Fedora End Of Life 2012-08-07 16:04:21 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.